import { request } from '@/axios/request'

export default {
  // 地区列表
  cityList (parames) {
    return request.get("/public/getDistrictList",parames)
  },
  // 等级列表
  getUserLevelList (parames) {
    return request.get("/public/getUserLevelList",parames)
  },
  //添加会员等级
  addUserLevel (parames) {
      return request.post("/public/addUserLevel",parames)
  },
  //更新等级
  updateUserLevel (parames) {
    return request.post("/public/updateUserLevel",parames)
  },
  //删除等级
  delUserLevel (parames) {
      return request.post("/public/delUserLevel",parames)
  },
  //上传文件
  uploadFile (parames) {
    return request.post("/public/uploadFile",parames)
  },
  // 地区列表
  getCityList (parames) {
      return request.get("/public/getCityList",parames)
  },
  //获取投诉列表
  getComplaint(parames) {
    return request.get("/public/getComplaint",parames)
  },
  //获取投诉分类列表
  getLetterType(parames) {
    return request.get("/public/getLetterType",parames)
  },
  //更新投诉举报信息
  upComplaint(parames) {
    return request.get("/public/upComplaint",parames)
  },
  //下载文件
  downloadFile(parames) {
    return request.get("/public/downloadFile",parames)
  },
  //检测是否被处理
  checkMeasure(parames) {
    return request.post("/public/checkMeasure",parames)
  },
}